Locator (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface Locator

- All Superinterfaces:
    InterchangeObject, MediaEntity, MetadataObject
  All Known Subinterfaces:
    NetworkLocator, QLocator, TextLocator
  All Known Implementing Classes:
    LocatorImpl, NetworkLocatorImpl, TextLocatorImpl

      public interface Locator
      extends InterchangeObject

  Specifies information to help find a file that contains the essence or to help find the physical media.

  See Also:
    `EssenceDescriptor.getLocators()`, `TypeDefinitions.LocatorStrongReference`, `TypeDefinitions.LocatorStrongReferenceVector`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Locator` | `clone()` Create a cloned copy of this locator.
    `String` | `getPath()` Returns the path string property of this locator, which provides access to the URL property of a network locator and the name property of a text locator.
    `void` | `setPath(String path)` Sets the path string property of this locator, which provides access to the URLString property of a network locator and the name property of a text locator.

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### setPath

          void setPath(@AAFString
                       String path)
                throws NullPointerException

      Sets the path string property of this locator, which provides access to the URLString property of a network locator and the name property of a text locator.

      Parameters:
        `path` - Path string property of this locator.
      Throws:
        `NullPointerException` - The given path is `null`.

    - #### getPath

          @AAFString
          String getPath()

      Returns the path string property of this locator, which provides access to the URL property of a network locator and the name property of a text locator.

      Returns:
        Path string property of this locator.
      See Also:
        `NetworkLocator.getURL()`

    - #### clone

          Locator clone()

      Create a cloned copy of this locator.

      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this locator.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.